Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/IGraph.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/IGraph.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/IGraph.cs	(revision 4068)
@@ -1,120 +1,115 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Analysis
-{
+namespace Netron.Diagramming.Core.Analysis {
+  /// <summary>
+  /// This interface describes the <see cref="Model"/> from the point of view of graph analysis.
+  /// </summary>
+  public interface IGraph {
     /// <summary>
-    /// This interface describes the <see cref="Model"/> from the point of view of graph analysis.
+    /// Get the in-degree of a node, the number of edges for which the node
+    /// is the target.
     /// </summary>
-    public interface IGraph
-    {
-        /// <summary>
-        /// Get the in-degree of a node, the number of edges for which the node
-        /// is the target.
-        /// </summary>
-        /// <param name="node"></param>
-        /// <returns></returns>
-        int InDegree(INode node);
-        /// <summary>
-        /// Get the out-degree of a node, the number of edges for which the node
-        /// is the source.
-        /// </summary>
-        /// <param name="node"></param>
-        /// <returns></returns>
-        int OutDegree(INode node);
-        /// <summary>
-        /// Get the degree of a node, the number of edges for which a node
-        /// is either the source or the target.
-        /// </summary>
-        /// <param name="node"></param>
-        /// <returns></returns>
-        int Degree(INode node);
-        /// <summary>
-        /// Indicates if the edges of this graph are directed or undirected.
-        /// </summary>
-        bool IsDirected { get;}
-        /// <summary>
-        /// Returns the nodes for the current page. This is the same as the <see cref="Model.Shapes"/> property except that the return type is
-        /// here <see cref="INode"/> rather than <see cref="IShape"/> type.
-        /// </summary>
-        CollectionBase<INode> Nodes { get;}
-        /// <summary>
-        /// Get the source Node for the given Edge instance.
-        /// </summary>
-        /// <param name="edge"></param>
-        /// <returns></returns>
-        INode FromNode(IEdge edge);
-        /// <summary>
-        /// Get the target Node for the given Edge instance.
-        /// </summary>
-        /// <param name="edge"></param>
-        /// <returns></returns>
-        INode ToNode(IEdge edge);
-        /// <summary>
-        ///  Given an Edge and an incident Node, return the other Node
-        /// connected to the edge.
-        /// </summary>
-        /// <param name="edge"></param>
-        /// <param name="node"></param>
-        /// <returns></returns>
-        INode AdjacentNode(IEdge edge, INode node);
-        /// <summary>
-        /// Gets the collection of all adjacent nodes connected to the given node by an
-        /// incoming edge (i.e., all nodes that "point" at this one).
-        /// </summary>
-        CollectionBase<INode> InNeighbors(INode node);
-        /// <summary>
-        /// Gets the collection of adjacent nodes connected to the given node by an
-        /// outgoing edge (i.e., all nodes "pointed" to by this one).
-        /// </summary>
-        CollectionBase<INode> OutNeighbors(INode node);
+    /// <param name="node"></param>
+    /// <returns></returns>
+    int InDegree(INode node);
+    /// <summary>
+    /// Get the out-degree of a node, the number of edges for which the node
+    /// is the source.
+    /// </summary>
+    /// <param name="node"></param>
+    /// <returns></returns>
+    int OutDegree(INode node);
+    /// <summary>
+    /// Get the degree of a node, the number of edges for which a node
+    /// is either the source or the target.
+    /// </summary>
+    /// <param name="node"></param>
+    /// <returns></returns>
+    int Degree(INode node);
+    /// <summary>
+    /// Indicates if the edges of this graph are directed or undirected.
+    /// </summary>
+    bool IsDirected { get; }
+    /// <summary>
+    /// Returns the nodes for the current page. This is the same as the <see cref="Model.Shapes"/> property except that the return type is
+    /// here <see cref="INode"/> rather than <see cref="IShape"/> type.
+    /// </summary>
+    CollectionBase<INode> Nodes { get; }
+    /// <summary>
+    /// Get the source Node for the given Edge instance.
+    /// </summary>
+    /// <param name="edge"></param>
+    /// <returns></returns>
+    INode FromNode(IEdge edge);
+    /// <summary>
+    /// Get the target Node for the given Edge instance.
+    /// </summary>
+    /// <param name="edge"></param>
+    /// <returns></returns>
+    INode ToNode(IEdge edge);
+    /// <summary>
+    ///  Given an Edge and an incident Node, return the other Node
+    /// connected to the edge.
+    /// </summary>
+    /// <param name="edge"></param>
+    /// <param name="node"></param>
+    /// <returns></returns>
+    INode AdjacentNode(IEdge edge, INode node);
+    /// <summary>
+    /// Gets the collection of all adjacent nodes connected to the given node by an
+    /// incoming edge (i.e., all nodes that "point" at this one).
+    /// </summary>
+    CollectionBase<INode> InNeighbors(INode node);
+    /// <summary>
+    /// Gets the collection of adjacent nodes connected to the given node by an
+    /// outgoing edge (i.e., all nodes "pointed" to by this one).
+    /// </summary>
+    CollectionBase<INode> OutNeighbors(INode node);
 
-        /// <summary>
-        /// Get an iterator over all nodes connected to the given node.
-        /// </summary>
-        CollectionBase<INode> Neighbors(INode node);
-        /// <summary>
-        /// Gets the edges.
-        /// </summary>
-        /// <value>The edges.</value>
-        CollectionBase<IEdge> Edges { get;}
-        /// <summary>
-        /// Returns the edges connected to the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        CollectionBase<IEdge> EdgesOf(INode node);
+    /// <summary>
+    /// Get an iterator over all nodes connected to the given node.
+    /// </summary>
+    CollectionBase<INode> Neighbors(INode node);
+    /// <summary>
+    /// Gets the edges.
+    /// </summary>
+    /// <value>The edges.</value>
+    CollectionBase<IEdge> Edges { get; }
+    /// <summary>
+    /// Returns the edges connected to the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    CollectionBase<IEdge> EdgesOf(INode node);
 
-        /// <summary>
-        /// Returns the incoming edges of the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        CollectionBase<IEdge> InEdges(INode node);
+    /// <summary>
+    /// Returns the incoming edges of the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    CollectionBase<IEdge> InEdges(INode node);
 
-        /// <summary>
-        /// Returns the outgoing edges attached to the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        CollectionBase<IEdge> OutEdges(INode node);
+    /// <summary>
+    /// Returns the outgoing edges attached to the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    CollectionBase<IEdge> OutEdges(INode node);
 
-        /// <summary>
-        /// Gets a spanning tree of the model or graph.
-        /// </summary>
-        /// <value>The spanning tree.</value>
-        ITree SpanningTree { get;}
+    /// <summary>
+    /// Gets a spanning tree of the model or graph.
+    /// </summary>
+    /// <value>The spanning tree.</value>
+    ITree SpanningTree { get; }
 
-        /// <summary>
-        /// Makes the spanning tree.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        void MakeSpanningTree(INode node);
+    /// <summary>
+    /// Makes the spanning tree.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    void MakeSpanningTree(INode node);
 
-        /// <summary>
-        /// Clears the spanning tree.
-        /// </summary>
-        void ClearSpanningTree();
+    /// <summary>
+    /// Clears the spanning tree.
+    /// </summary>
+    void ClearSpanningTree();
 
 
@@ -124,4 +119,4 @@
 
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/INode.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/INode.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/INode.cs	(revision 4068)
@@ -1,148 +1,144 @@
 using System;
 using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Analysis
-{
+namespace Netron.Diagramming.Core.Analysis {
+  /// <summary>
+  /// This interface describes the <see cref="IShape"/> from the point of view of graph analysis.
+  /// </summary>
+  public interface INode {
     /// <summary>
-    /// This interface describes the <see cref="IShape"/> from the point of view of graph analysis.
+    /// Get the in-degree of the node, the number of edges for which this node
+    /// is the target.
     /// </summary>
-    public interface INode
-    {
-        /// <summary>
-        /// Get the in-degree of the node, the number of edges for which this node
-        /// is the target.
-        /// </summary>
-        int InDegree { get;}
-        /// <summary>
-        /// Get the out-degree of the node, the number of edges for which this node
-        /// is the source.
-        /// </summary>
-        int OutDegree { get;}
-        /// <summary>
-        /// Get the degree of the node, the number of edges for which this node
-        /// is either the source or the target.
-        /// </summary>
-        int Degree { get;}
-        /// <summary>
-        /// Gets the collection of all incoming edges, those for which this node
-        /// is the target.
-        /// </summary>
-        CollectionBase<IEdge> InEdges { get;}
-        /// <summary>
-        /// Gets or sets whether this shape is fixed with respect to diagram layout
-        /// </summary>           
-        bool IsFixed { get; set;}
-        /// <summary>
-        /// Gets or sets a value indicating whether this instance is expanded.
-        /// </summary>
-        /// <value>
-        /// 	<c>true</c> if this instance is expanded; otherwise, <c>false</c>.
-        /// </value>
-        bool IsExpanded { get; set;}
-        /// <summary>
-        /// Gets the unique identifier of this node.
-        /// </summary>
-        /// <value>The uid.</value>
-        Guid Uid { get;}
-        /// <summary>
-        /// Gets the collection of all outgoing edges, those for which this node
-        /// is the source.
-        /// </summary>
-        CollectionBase<IEdge> OutEdges { get;}
-        /// <summary>
-        ///Gets the collection of all incident edges, those for which this node
-        /// is either the source or the target.
-        /// </summary>
-        CollectionBase<IEdge> Edges { get;}
-        /// <summary>
-        /// Gets the collection of all adjacent nodes connected to this node by an
-        /// incoming edge (i.e., all nodes that "point" at this one).
-        /// </summary>
-        CollectionBase<INode> InNeighbors { get;}
-        /// <summary>
-        /// Gets the collection of adjacent nodes connected to this node by an
-        /// outgoing edge (i.e., all nodes "pointed" to by this one).
-        /// </summary>
-        CollectionBase<INode> OutNeighbors { get;}
+    int InDegree { get; }
+    /// <summary>
+    /// Get the out-degree of the node, the number of edges for which this node
+    /// is the source.
+    /// </summary>
+    int OutDegree { get; }
+    /// <summary>
+    /// Get the degree of the node, the number of edges for which this node
+    /// is either the source or the target.
+    /// </summary>
+    int Degree { get; }
+    /// <summary>
+    /// Gets the collection of all incoming edges, those for which this node
+    /// is the target.
+    /// </summary>
+    CollectionBase<IEdge> InEdges { get; }
+    /// <summary>
+    /// Gets or sets whether this shape is fixed with respect to diagram layout
+    /// </summary>           
+    bool IsFixed { get; set; }
+    /// <summary>
+    /// Gets or sets a value indicating whether this instance is expanded.
+    /// </summary>
+    /// <value>
+    /// 	<c>true</c> if this instance is expanded; otherwise, <c>false</c>.
+    /// </value>
+    bool IsExpanded { get; set; }
+    /// <summary>
+    /// Gets the unique identifier of this node.
+    /// </summary>
+    /// <value>The uid.</value>
+    Guid Uid { get; }
+    /// <summary>
+    /// Gets the collection of all outgoing edges, those for which this node
+    /// is the source.
+    /// </summary>
+    CollectionBase<IEdge> OutEdges { get; }
+    /// <summary>
+    ///Gets the collection of all incident edges, those for which this node
+    /// is either the source or the target.
+    /// </summary>
+    CollectionBase<IEdge> Edges { get; }
+    /// <summary>
+    /// Gets the collection of all adjacent nodes connected to this node by an
+    /// incoming edge (i.e., all nodes that "point" at this one).
+    /// </summary>
+    CollectionBase<INode> InNeighbors { get; }
+    /// <summary>
+    /// Gets the collection of adjacent nodes connected to this node by an
+    /// outgoing edge (i.e., all nodes "pointed" to by this one).
+    /// </summary>
+    CollectionBase<INode> OutNeighbors { get; }
 
-        /// <summary>
-        /// Get an iterator over all nodes connected to this node.
-        /// </summary>
-        CollectionBase<INode> Neighbors { get;}
+    /// <summary>
+    /// Get an iterator over all nodes connected to this node.
+    /// </summary>
+    CollectionBase<INode> Neighbors { get; }
 
-        /// <summary>
-        /// Get the parent node of this node in a tree structure.
-        /// </summary>
-        INode ParentNode { get; set;}
-        /// <summary>
-        /// Get the edge between this node and its parent node in a tree
-        /// structure.
-        /// </summary>
-        IEdge ParentEdge { get; set;}
-        /// <summary>
-        /// Get the tree depth of this node.
-        ///<remarks>The root's tree depth is
-        /// zero, and each level of the tree is one depth level greater.
-        /// </remarks> 
-        /// </summary>
-        int Depth { get; set;}
-        /// <summary>
-        /// Get the number of tree children of this node.
-        /// </summary>
-        int ChildCount { get;}
-        /// <summary>
-        /// Get this node's first tree child.
-        /// </summary>
-        INode FirstChild { get;}
-        /// <summary>
-        /// Get this node's last tree child.
-        /// </summary>
-        INode LastChild { get;}
+    /// <summary>
+    /// Get the parent node of this node in a tree structure.
+    /// </summary>
+    INode ParentNode { get; set; }
+    /// <summary>
+    /// Get the edge between this node and its parent node in a tree
+    /// structure.
+    /// </summary>
+    IEdge ParentEdge { get; set; }
+    /// <summary>
+    /// Get the tree depth of this node.
+    ///<remarks>The root's tree depth is
+    /// zero, and each level of the tree is one depth level greater.
+    /// </remarks> 
+    /// </summary>
+    int Depth { get; set; }
+    /// <summary>
+    /// Get the number of tree children of this node.
+    /// </summary>
+    int ChildCount { get; }
+    /// <summary>
+    /// Get this node's first tree child.
+    /// </summary>
+    INode FirstChild { get; }
+    /// <summary>
+    /// Get this node's last tree child.
+    /// </summary>
+    INode LastChild { get; }
 
-        /// <summary>
-        /// Gets the X coordinate.
-        /// </summary>
-        /// <value>The X.</value>
-        int X { get;}
-        /// <summary>
-        /// Gets the Y coordinate.
-        /// </summary>
-        /// <value>The Y.</value>
-        int Y { get;}
+    /// <summary>
+    /// Gets the X coordinate.
+    /// </summary>
+    /// <value>The X.</value>
+    int X { get; }
+    /// <summary>
+    /// Gets the Y coordinate.
+    /// </summary>
+    /// <value>The Y.</value>
+    int Y { get; }
 
-        /// <summary>
-        /// Get this node's previous tree sibling.
-        /// </summary>
-        INode PreviousSibling { get;}
-         /// <summary>
-        /// Get this node's next tree sibling.
-         /// </summary>
-        INode NextSibling { get;}
+    /// <summary>
+    /// Get this node's previous tree sibling.
+    /// </summary>
+    INode PreviousSibling { get; }
+    /// <summary>
+    /// Get this node's next tree sibling.
+    /// </summary>
+    INode NextSibling { get; }
 
-        /// <summary>
-        /// Gets the rectangle.
-        /// </summary>
-        /// <value>The rectangle.</value>
-        Rectangle Rectangle { get;}
-        /// <summary>
-        /// Get an iterator over this node's tree children.
-        /// </summary>
-        CollectionBase<INode> Children { get; set;}
-        /// <summary>
-        /// Get an iterator over the edges from this node to its tree children.
-        /// </summary>
-        CollectionBase<IEdge> ChildEdges { get;}
+    /// <summary>
+    /// Gets the rectangle.
+    /// </summary>
+    /// <value>The rectangle.</value>
+    Rectangle Rectangle { get; }
+    /// <summary>
+    /// Get an iterator over this node's tree children.
+    /// </summary>
+    CollectionBase<INode> Children { get; set; }
+    /// <summary>
+    /// Get an iterator over the edges from this node to its tree children.
+    /// </summary>
+    CollectionBase<IEdge> ChildEdges { get; }
 
-        /// <summary>
-        /// Moves the node, the argument being the motion vector.
-        /// </summary>
-        /// <param name="p">The p.</param>
-        void MoveBy(Point p);
-    }
-  
-   
-  
-  
+    /// <summary>
+    /// Moves the node, the argument being the motion vector.
+    /// </summary>
+    /// <param name="p">The p.</param>
+    void MoveBy(Point p);
+  }
+
+
+
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/ITree.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/ITree.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/ITree.cs	(revision 4068)
@@ -1,89 +1,85 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Analysis
-{
+namespace Netron.Diagramming.Core.Analysis {
+  /// <summary>
+  /// This interface describes the additional members useful if the underlying graph is a tree.
+  /// </summary>
+  public interface ITree : IGraph {
+
     /// <summary>
-    /// This interface describes the additional members useful if the underlying graph is a tree.
+    /// Gets or sets a value indicating whether this tree is directed.
     /// </summary>
-    public interface ITree : IGraph
-    {
+    /// <value>
+    /// 	<c>true</c> if this instance is directed; otherwise, <c>false</c>.
+    /// </value>
+    new bool IsDirected { get; set; }
+    /// <summary>
+    /// Gets or sets the root of the tree
+    /// </summary>
+    INode Root { get; set; }
+    /// <summary>
+    /// Gets the children of the given node in the tree hierarchy.
+    /// </summary>
+    /// <param name="node"></param>
+    /// <returns></returns>
+    CollectionBase<INode> Children(INode node);
+    /// <summary>
+    /// Gets the edges connecting the children of the given node.
+    /// </summary>
+    /// <param name="node"></param>
+    /// <returns></returns>
+    CollectionBase<IEdge> ChildEdges(INode node);
 
-        /// <summary>
-        /// Gets or sets a value indicating whether this tree is directed.
-        /// </summary>
-        /// <value>
-        /// 	<c>true</c> if this instance is directed; otherwise, <c>false</c>.
-        /// </value>
-        new bool IsDirected { get; set;}
-        /// <summary>
-        /// Gets or sets the root of the tree
-        /// </summary>
-        INode Root { get;set;}
-        /// <summary>
-        /// Gets the children of the given node in the tree hierarchy.
-        /// </summary>
-        /// <param name="node"></param>
-        /// <returns></returns>
-        CollectionBase<INode> Children(INode node);
-        /// <summary>
-        /// Gets the edges connecting the children of the given node.
-        /// </summary>
-        /// <param name="node"></param>
-        /// <returns></returns>
-        CollectionBase<IEdge> ChildEdges(INode node);
+    /// <summary>
+    /// Returns the next sibling node of the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    INode NextSibling(INode node);
 
-        /// <summary>
-        /// Returns the next sibling node of the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        INode NextSibling(INode node);
+    /// <summary>
+    /// Returns the previous sibling node of the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    INode PreviousSibling(INode node);
 
-        /// <summary>
-        /// Returns the previous sibling node of the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        INode PreviousSibling(INode node);
+    /// <summary>
+    /// Returns the last child of the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    INode LastChild(INode node);
 
-        /// <summary>
-        /// Returns the last child of the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        INode LastChild(INode node);
-
-        /// <summary>
-        /// Returns the first child of the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        INode FirstChild(INode node);
-        /// <summary>
-        /// Returns how many children the given node has.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        int ChildCount(INode node);
-        /// <summary>
-        /// Returns the depth the specified node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        int Depth(INode node);
-        /// <summary>
-        /// Returns the parent edge of the given node.
-        /// </summary>
-        /// <param name="node">The node.</param>
-        /// <returns></returns>
-        IEdge ParentEdge(INode node);
-        /// <summary>
-        /// Executes a the given <see cref="System.Action"/> on each node, starting from the given node, by means of a traversal
-        /// </summary>
-        /// <param name="action">The action.</param>
-        /// <param name="startNode">The start node.</param>
-        void ForEach<T>(Action<T> action, INode startNode) where T : INode;
-    }
+    /// <summary>
+    /// Returns the first child of the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    INode FirstChild(INode node);
+    /// <summary>
+    /// Returns how many children the given node has.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    int ChildCount(INode node);
+    /// <summary>
+    /// Returns the depth the specified node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    int Depth(INode node);
+    /// <summary>
+    /// Returns the parent edge of the given node.
+    /// </summary>
+    /// <param name="node">The node.</param>
+    /// <returns></returns>
+    IEdge ParentEdge(INode node);
+    /// <summary>
+    /// Executes a the given <see cref="System.Action"/> on each node, starting from the given node, by means of a traversal
+    /// </summary>
+    /// <param name="action">The action.</param>
+    /// <param name="startNode">The start node.</param>
+    void ForEach<T>(Action<T> action, INode startNode) where T : INode;
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/Model.Analysis.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/Model.Analysis.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Analysis/Model.Analysis.cs	(revision 4068)
@@ -1,8 +1,5 @@
 using System;
-using System.Drawing;
 using System.Collections;
 using System.Collections.Generic;
-using System.Collections.Specialized;
-using System.Text;
 using Netron.Diagramming.Core.Analysis;
 namespace Netron.Diagramming.Core {
